1. 1

    Fingers crossed bringing up a new water bath chiller/heater, for science.

    1. 9

      Dunno if this was intended or not, but in following the theme of the page’s content, the mostly text webpage needs JS to be styled correctly…

      1. 1

        looks fine to me. who’s to say which style is “correct”?

        1. 3

          Sans JS, the entire left half of the page is just a big blue rectangle that makes the text impossible to read.

          1. 1

            ah yeah. without CSS it looks much more normal, but you don’t get the navigation links.

      1. 1

        Putting this new desktop through its paces, running Bitbake RPi Linux builds, while monitoring them with dockerized Grafana and Influxdb instances.

        Looking to get containerized tftp instance to continue experimenting with PXE Boots, and a containerized samba instance to complete my data backup/consolidation from my WIndows/CAD VM.

        1. 1

          This sounds pretty interesting, and Bitbake is a tool I’ve never heard of, do you have a writeup on what your doing with this? I’d be interested for sure.

        1. 2

          Desktop finally reached seven years old, so finally giving it a well-deserved upgrade w/ Threadripper.

          1. 2

            Finalizing experiments around what I’m referring to as “Waterbending PLA”, complete with a flow that is Sheet Metal DFM compatible.

            1. 20

              Writing something about programming that hopefully won’t get instantly downvoted.

              1. 5

                That’s a mood

                1. 9

                  Yeah, there’s a few people that instantly down vote everything I write/post here as off topic or spam and it’s kinda discouraged me from writing as much as I normally do. If it continues i may ask push to look into it or something.

                  1. 7

                    Yikes, I recognize your name as someone who’s submitted great quality original posts in the past. Maybe I’ve been missing them recently because of this.

                    1. 4

                      That’s odd. The stuff you tend to work on and talk about tends to generally be a good read.

                      Maybe a bit sillier than other people may like, but solid nonetheless.

                      1. 2

                        For what it’s worth, I have the opposite reaction. I think of your writing as always detailed, practical, unpretentious - exactly the things that lobsters was built to showcase. (Sidenote: your posts on NixOS are what finally convinced me to switch, so thanks for that :))

                        1. 1

                          If it helps, some of your stuff I like a lot and some of your stuff I’m not terribly interested in, but I never downvote your posts ’cause I want you to keep writing and posting here.

                      2. 2

                        Illegitimi non carborundum.

                        1. 1

                          I also have anxiety about this, which is why I have several things I’ve written and haven’t posted.

                        1. 2

                          Huh. It might actually be a demo on an Arduino library I made nearly a decade ago to use the Sphero toy as an input device/controller: https://www.youtube.com/watch?v=sqgj1ArspKw

                          1. 1

                            Completing some much-needed small parts vertical stotrage.

                            Probalby also setting up OMV on an RPi to start the digital cleanup w/ some TIG longer-term data collection.

                            1. 1

                              Probably looking into Klipper and working on a couple of hardware experiments tangentally related to 3D printing.

                              1. 3

                                I quite like using Adafruit’s line of Feather dev boards: https://www.adafruit.com/feather Sparkfun has also recently released a format called MicroMods, which use the M.2 connector as the common interface: https://www.sparkfun.com/micromod

                                And for SBCs, I’m partial to either the Odroid XU4, or NanoPi’s relatively unknown NanoPi Neo boards.

                                1. 3

                                  I wasn’t aware the reMarkable’s display refresh is fast enough to support these sorts of interactive apps, as opposed to writing/sketching, which only updates small numbers of pixels at a time. Do they work well?

                                  1. 7

                                    There’s still a noticable lag if you’re use to using other touch display technologies, but it’s actually pretty good.

                                    1. 1

                                      yeah works pretty smooth, the only thing I don’t like is that the best offline method of importing stuff is an ethernet-over-usb bridge where you drop stuff in a local browser window. And you can’t get the SVG from the tablet without mailing it, at least without things like this repo (or SSHing into the device). Guess it’s the easiest way for most people that don’t care where their data runs through.

                                      1. 3

                                        I was fairly appalled when I realized you couldn’t just plug the thing in and have it enumerate as a filesystem, and their whole storage mechanism seems pretty grotesque under the hood from poking around over SSH. At least you can SSH into the thing, and I’m glad it’s hackable, but I do really wish it had been built from scratch with basic interoperability in mind.

                                    2. 4

                                      For eink it’s incredible. I don’t use scratch paper anymore and scribble throwaway notes and diagrams on my reMarkable instead.

                                    1. 2

                                      Setting up some much-needed longevity bushing tests for a CNC machine I’m working on, testing a cheap filament drybox idea, and updating my home network to install a new 24 port PoE switch.

                                      Might even play with some PoE-powered RPis, setting up InfluxDB + Grafana and a NAS if things go well enough.

                                      1. 2

                                        The slow-burn project is a desktop-sized PnP for electronics. I’m already aware of OpenPnP and LitePlacer, but from a UX PoV, a miniaturized version of an industrial machine isn’t what I’m looking to make or use.

                                        Naturally, it’s spun off something like a dozen or two sub-projects for things like precision, control, mechanics, optics, fabrication, etc…

                                        1. 19
                                          [ $USER != "root" ] && echo You must be root && exit 1
                                          

                                          I’ve always felt a bit uneasy about this one. I mean, what if echo fails? :-)

                                          So I usually do

                                          [ $USER != "root" ] && { echo You must be root; exit 1; }
                                          

                                          instead… just to be safe.

                                          1. 10

                                            Indeed, echo can fail. Redirecting stdout to /dev/full is probably the easiest way to make this happen but a named pipe can be used if more control is required. The sentence from the article “The echo command always exists with 0” is untrue (in addition to containing a typo).

                                            1. 3

                                              Don’t you need set +e; before echo, just to be extra safe?

                                              1. 3

                                                I had to look that up. set +e disables the -e option:

                                                          -e      Exit immediately if a simple command (see SHELL  GRAMMAR
                                                                  above) exits with a non-zero status
                                                

                                                That’s not enabled by default, though, and I personally don’t use it.

                                                1. 1

                                                  Or &&true at the end, if it’s okay for this command to fail. EDIT: see replies

                                                  It’s as much of a kludge as any other, and I’m not sure how to save the return value of a command here, but bash -ec 'false && true; echo $?' will return 0 and not exit from failure. EDIT: it echoes 1 (saving the return value), see replies for why.

                                                  1. 2

                                                    You probably mean || true. But yeah, that works!

                                                    1. 1

                                                      I did mean || true, but in the process of questioning what was going on I learned that && true appears to also prevent exit from -e and save the return value!

                                                      E.G.,

                                                      #!/bin/bash -e
                                                      f(){
                                                      return 3
                                                      }
                                                      f && true ; echo $?
                                                      

                                                      Echoes 3. I used a function and return to prove it isn’t simply a generic 1 from failure (as false would provide). Adding -x will also show you more of what’s going on.

                                                2. 2

                                                  I personally use the following formatting, which flips the logic, uses a builtin, and printd to stderr.

                                                  [ "${USER}" == "root" ] || {printf "%s\n" "User must be 'root'" 1>&2; exit 1; }

                                                  When I start doing a larger amount of checks, I wrap the command group within a function, which turns into the following, and can optionally set the exit code.

                                                  die() { printf "%s\n" "${1}" 1>&2; exit ${2:-1}; }
                                                  ...
                                                  [ "${USER}" == "root" ] || die "User must be 'root'"
                                                  
                                                  1. 2

                                                    I also always print to standard out, but I’m pretty sure most shells have echo as a built-in. The form I usually use is

                                                    err() { echo "$1" 1>&2; exit 1; }
                                                    
                                                1. 11

                                                  To sleep peacefully, I disabled the github actions on this repository (is there an option to disable for a whole github profile?)

                                                  Yeeaah, that’s a bit concerning. Just checked, ans sure enough, actions were automatically enabled on all of my repos.

                                                  Tossed together a small script to disable GitHub Actions on all repos you own, because I prefer to have ‘opt-in’ control over my repos: https://gist.github.com/cmonr/27d542eb0a33bde631c642707bb8bf92

                                                  1. 8

                                                    Maybe now is a good time to evaluate switching to other git ‘providers’? Microsoft has a long history of opt-in’ing users into bullshit like this in their other products.

                                                    1. 2

                                                      Disabling actions is a big hammer. GitHub actions need to be individually enabled to work (which can be done only by an admin on the project). The problem here is a combination of a bunch of things. By default, GitHub actions will run only on the free runners for open source projects. There’s no limit to the total amount of these but you have a limit on the number that you can run concurrently. It’s useful to allow PRs to enable new actions because you can add new kinds of testing in the same PR that adds the feature that needs testing and it doesn’t hurt the project if someone abuses this, it only hurts GitHub (GitHub is paying for the VMs that run this).

                                                      The problem comes when you use a different kind of runner (ones that you pay for or that are hosted on infrastructure that you might care about) and you allow this configuration to be modified in the repo. GitHub provides tools for controlling this, but for the 99% of users that just use the free action runners it isn’t a problem.

                                                  1. 2

                                                    Bringing on a new housemate, yard work, building a storage rack for metal tubing stock, and maybe assembling a second FDM printer.

                                                    1. 8

                                                      Quite a few things:

                                                      • Several Matrix homeservers, for different groups of people
                                                      • A Peertube instance. I turned off federation, and mostly use it as a quick way of archiving YouTube videos I want to make sure I have a non-YouTube-controlled copy of
                                                      • A personal Miniflux instance
                                                      • A personal Jellyfin instance
                                                      • A Gitea instance for my own source code hosting.
                                                      • Very basic personal website, basically static HTML.
                                                      • A Vault instance. I’m currently underutilizing this, I basically only use it for occasionally re-signing my limited time SSH certs
                                                      • A bitwarden-rs instance
                                                      • My Urbit planet
                                                      • A couple of Pleroma instances
                                                      • a couple custom webapps I personally wrote

                                                      Most of this infrastructure is hosted on VMs controlled by a Proxmox server in my home. I use VPSs for a couple of services that I would like to have continue to run even if the power or internet gets knocked out at my house. The exact list of things changes every now and then as I experiment with different things - I’m still looking for a RSS reader I like better than miniflux, for instance.

                                                      1. 1

                                                        mostly use it as a quick way of archiving YouTube videos

                                                        Gonna have to do a double take on PeerTube. Didn’t realize it could be used in that way.

                                                        How do you like Miniflux? I’ve been on the fence with it for years now and have been using RSS for probably around a decade now and its definitely been on my radar.

                                                        1. 2

                                                          I’m honestly not a huge fan, and I’m looking for a replacement RSS reader. I do like that it’s easy to host, but I am really not a fan of how it presents unread articles to you. I would prefer something that works more like how google reader used to work (I’ve given freshrss a try, but haven’t been super happy with that either).

                                                          1. 2

                                                            I use a hosted tt-rss + RSS Guard (desktop app). They work really well together.

                                                      1. 6

                                                        Using Linode:

                                                        Some said that self-hosted email will not reach Gmail. It just takes time, My self-hosted email reaches straight to Gmail Inbox. I just need to ask 4-5 of my friend to mark it as “not spam”.

                                                        1. 1

                                                          Whatr do you use thelounge for?

                                                          Looks interesting.

                                                          1. 1

                                                            I am a SoureHut user. Sometimes I ask a question in IRC. I don’t have a fiber connection (I use my phone for tethering). So I need thelounge to always connect to IRC. If I turn off my phone. I can still come back and see people’s answers.

                                                          2. 1

                                                            How are you running thelounge? Whenever I try to run it in docker, the container fills up and craps itself.

                                                            Maybe it’s because I don’t stay logged in all the time.

                                                            1. 2

                                                              I use this compose config. Then I just run docker-compose up -d. To add user, I need to do login into that container and add a user there

                                                            2. 1

                                                              (Your firefly-iii link seems to be a mis-paste. I found it via websearch, though.) How do you find Firefly compares to gnucash? (other than, obviously, one is server-side, the other is a local app)

                                                              1. 3

                                                                Oh my bad, Yes it firefly-iii.

                                                                I use GnuCash for a year on-and-off, unfortunately, It’s very hard to recall what I bought (where was my money) after some days. It’s very hard to make a daily entry. I switch to GnuCash for android.

                                                                It works well for me. I can make an entry directly after purchase. Besides being unmaintained and buggy, but I have no other choice. I keep using it for a year. Until I have so many debits/withdraw. I keep asking:

                                                                • How much of my salary goes to the foo account?
                                                                • How many percent this foo account takes my money this month?
                                                                • tl;dr: GnuCash is limited in its report. It looks like just an add-on for me. I need a more detailed and interactive report.

                                                                firefly-iii also releasing many features (while keeping its principle) often. So I thought it will be easy if I need a more complex report.

                                                            1. 2

                                                              Testing Linux images built with bitbake and dockerized images, catching up on some life tasks, and some much needed R&R. Might even look at generating SVGs within the shell, since Inkscape label templates are alright, but not ideal.

                                                              Release weeks are a pain.

                                                              1. 2

                                                                There’s definitely a niche for this kind of device, but it does have it’s fair share of criticisms.

                                                                I’ve owned one for a few months, and definitely love it, but partially because I’ve wanted a larger e-ink device I can tinker with for years. If you’re not looking for that value-add, then this tablet definitely feels a bit too expensive for some of the rough edges it has.

                                                                That being said, I’ve been quite pleased with my experience working on technical drawings and random todo lists. There’s a rather large and well-organized community of device hackers for the product family that also create their own apps and tools.

                                                                Heck, if you search long enough, you’ll find people that are running Debian on the last-gen device.